# Interface CharChunk.CharInputChannel

Enclosing class:
  `CharChunk`

public static interface CharChunk.CharInputChannel
Input interface, used when the buffer is empty.

## Method Summary

Modifier and Type
Method
Description
`int`
`realReadChars()`
Read new characters.

## Method Details

### realReadChars

int realReadChars() throws IOException
Read new characters.

Returns:
  The number of characters read
Throws:
  `IOException` - If an I/O error occurs during reading